Inhalte
Index 🔎︎

# Operator Eqv

Berechnet die logische Äquivalenz zweier Ausdrücke.

## Syntax:

    Result = Expression1 Eqv Expression2

## Parameter:

Ergebnis: Eine beliebige numerische Variable, die das Ergebnis des Vergleichs aufnimmt.

Ausdruck1, Ausdruck2: Beliebige zu vergleichende Ausdrücke.

Wenn Sie boolesche Ausdrücke auf ihre Äquivalenz testen, ist das Ergebnis True, wenn die Ausdrücke entweder beide True oder beide False sind.

Bei einem bitweisen Vergleich setzt der Eqv-Operator das entsprechende Bit im Ergebnis nur dann, wenn das betreffende Bit entweder in beiden Ausdrücken oder in keinem der beiden Ausdrücke gesetzt ist.

## Beispiel:

    Sub ExampleEqv
    Dim A As Variant, B As Variant, C As Variant, D As Variantsee #i38265
    Dim vOut As Variant
        A = 10: B = 8: C = 6: D = Null
        vOut = A > B Eqv B > C ' Liefert -1 zurück
        vOut = B > A Eqv B > C ' Liefert 0 zurück
        vOut = A > B Eqv B > D ' Liefert 0 zurück
        vOut = (B > D Eqv B > A) ' Liefert -1 zurück
        vOut = B Eqv A ' Liefert -3 zurück
    End Sub